# For Jibb and Friends

This Modpack is for friends

## Contents
- Survivors & Skills
- Item Sharing
- QoL mods

## Included mods

### Item and Lunar Coin sharing
Item sharing is done through ForceItemsEqualShare which calculates the total item cost (weighted by rarity) of each player and prevents the player with highest count from picking up items, but can send items to the player with lowest cost by pinging and pressing E (or interact button) on the item.

This should keep everyone's total items within 1-4 items depending on rarity.

For reference White = 1, Green = 2, Yellow = 3, Red = 4, Lunar = 1, Void = same tier as non-void version
BetterUI has been configured to show the scores as above.

Lunar Coins are shared on pickup.

### New Playable Characters
8 new survivors ranging from RoR1 to original characters (some from other games) 

Secret Vanilla Character is selectable after defeating Mithrix with them.

### Revamped Elite Aspects
Improved elite aspects: changed to red item instead of equipment with extra effects

### New skills
Extra skills for most characters that require unlocking

### UI improvements:
- BetterUI - Too many changes to list, see https://thunderstore.io/package/XoXFaby/BetterUI/. DPS Counter turned off by default.
- Printout of radar scanner findings and colour coding of icons
- Printer/cauldron transaction messages to show what was traded
- Random survivor/loadout button
- Empty chests despawn (removes clutter)
- Skip intro video automatically
- Allow for lobbies up to 16 by default 
- Centered Healthbar and Skills UI
- Character select button in pause menu to return to lobby
- Skip intro cinematic
- Scrollable lobby UI

### Revival
- All players are revived on completion of Teleporter event.

### Sett Balancing
Changes made to Sett from default to make him fun, but not OP.

Adjusted base stats to match other melee characters (they were slightly higher in base and growth before)
Sett skills have been changed from the defaults to:

- Knuckle Down: 110% left punch, 150% right punch.
- Facebreaker: 280% damage, lowered pulling force so it's less effective on airborne enemies, increased cooldown to 7s
- The Show Stopper: 800% Damage, removed 10% Max health Damage scaling, Increased cooldown to 12s.
- Haymaker: 1500% Damage +75% of Grit expended damage. Removed level scaling. Increased Cooldown to 15s.

In game UI will not show the above changes 

### Tweaks for Bandit: 
- All back attacks crit for 50% instead of 100% damage, but getting more crit% increases crit damage (same as Railgunner)
- Specials don't get cancelled from sprinting
- Can hold down Cloak button to cast again
## A changelog

### v1.0.5

- Removed WRB and most dependencies
- Removed Shrine of Dio.
- Added Admiral, a Captain overhaul

### v1.0.4

- Forgot to save Readme :( 

### v1.0.3

- Removed VoidItemAPI as a dependency as VanillaVoid no longer depends on it.
- Turned off WRB Config sync just in case it breaks configs when updating
- Turned off WRB Changes to all bosses

### v1.0.2

- Included actual readme
- Changed printer behaviour back to unlimited uses (limited in WRB) as it can cause issues in multiplayer (Is not locked properly after using charges and can cause items to be deleted if used after charges have been used up)
- Buffed Loader survivability and damage to be closer to vanilla
- Increased minimum radius of ArtificerExtended's Temperature drop to suit HIFU Change to Ion Surge
### v1.0.1

re-uploaded

### v1.0.0

Initial Release